Transcript LOL API
POST
/spaces/{spaceId}/recordings

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

spaceId*string

ID of the workspace. You can find from the url in dashboard when you open the workspace or using the list workspaces endpoint.

Request Body

application/json

Recording options

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://transcript.lol/api/v1/spaces/string/recordings" \  -H "Content-Type: application/json" \  -d '{    "title": "My Audio",    "language": "en",    "mediaType": "AUDIO",    "source": "UNKNOWN"  }'
{
  "id": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "workspaceId": "string",
  "title": "string",
  "sourceUrl": "string",
  "mediaType": "AUDIO",
  "source": "string",
  "duration": 0,
  "status": "MEDIA_IMPORT_UPLOADING",
  "recordingFolderId": "string",
  "isMediaDeleted": true,
  "createdById": "string",
  "autoDeleteMediaAfter": "string"
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}
{
  "error": "string",
  "errorDetails": {}
}